if(NOT SKA_RABBIT_PACKAGING_GUARD_VAR)
    set(SKA_RABBIT_PACKAGING_GUARD_VAR TRUE)
else()
    return()
endif()

# Packaging
set(CPACK_PACKAGE_VENDOR "The SKAO PSS Team")

if(NOT DEFINED CPACK_GENERATOR)
    if(CMAKE_HOST_SYSTEM_NAME MATCHES "Linux")
        set(CPACK_GENERATOR "RPM;DEB")
    endif()
endif()

set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})

# RPM specifics
set(CPACK_RPM_PACKAGE_REQUIRES "libboost >= 1.53")

# DEB specifics
set(CPACK_DEBIAN_PACKAGE_DEPENDS libboost-dev)
set(CPACK_DEBIAN_PACKAGE_MAINTAINER pss@skao.int)

# Build up the filename based on enabled flags
set(CPACK_PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
set(CPACK_PACKAGE_FILE_NAME rabbit-${CPACK_PACKAGE_VERSION})

include(CPack)
